services:
  n8n:
    image: n8nio/n8n:2.10.4
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:5678
    volumes:
      - ./data:/home/node/.n8n
    environment:
      N8N_SECURE_COOKIE: false
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
